//===- TransformPass.h - AutoJIT Transformation Pass ------------*- C++ -*-===//
//
//                     The LLVM Compiler Infrastructure
//
// This file is distributed under the University of Illinois Open Source
// License. See LICENSE.TXT for details.
//
//===----------------------------------------------------------------------===//
//
//===----------------------------------------------------------------------===//

#ifndef AUTOJIT_TRANSFORMPASS_H
#define AUTOJIT_TRANSFORMPASS_H

#include "llvm/Pass.h"
#include "llvm/Module.h"

namespace autojit {
  class TransformPass : public llvm::ModulePass {
public:
    static char ID;
    TransformPass() : ModulePass(&ID) {}

    virtual bool runOnModule(llvm::Module&);
    virtual void getAnalysisUsage(llvm::AnalysisUsage&) const;
  };
}

#endif /*AUTOJIT_TRANSFORMPASS_H*/
